package com.yihu.jw.entity.hospital.prescription;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Entity;
import javax.persistence.Table;


/**
* 处方签名记录
*
* @author wangzhinan 20200518
*
*/
@Entity
@Table(name = "wlyy_prescription_sign")
public class WlyyPrescriptionSignDO extends UuidIdentityEntityWithOperator {

    private String prescriptionId;
    private String signData;
    private String signResult;
    private String certData;
    private String relationCode;

    public String getPrescriptionId() {
        return prescriptionId;
    }

    public void setPrescriptionId(String prescriptionId) {
        this.prescriptionId = prescriptionId;
    }

    public String getSignData() {
        return signData;
    }

    public void setSignData(String signData) {
        this.signData = signData;
    }

    public String getSignResult() {
        return signResult;
    }

    public void setSignResult(String signResult) {
        this.signResult = signResult;
    }

    public String getCertData() {
        return certData;
    }

    public void setCertData(String certData) {
        this.certData = certData;
    }

    public String getRelationCode() {
        return relationCode;
    }

    public void setRelationCode(String relationCode) {
        this.relationCode = relationCode;
    }
}